Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -20732,74 +35184,115 @@
                        MPEG:SampleRate
                        MPEG:MPEGAudioVersion
-  Duration             RIFF:FrameRate           N
+  Duration             RIFF:FrameRate           no
                        RIFF:FrameCount
                        VideoFrameRate
                        VideoFrameCount
-  Duration             RIFF:AvgBytesPerSec      N
+  Duration             RIFF:AvgBytesPerSec      no
                        FileSize
                        FrameCount
                        VideoFrameCount
-  ExtenderStatus       Olympus:Extender         N
+  Duration             Vorbis:NominalBitrate    no
+                       FileSize
+  ExtenderStatus       Olympus:Extender         no
                        Olympus:LensType
                        MaxApertureValue
-  FOV                  FocalLength              N
+  FOV                  FocalLength              no
                        ScaleFactor35efl
                        FocusDistance
-  FileNumber           DirectoryIndex           Y
+  FileNumber           DirectoryIndex           yes
                        FileIndex
-  FlashType            FlashBits                N
-  FocalLength35efl     FocalLength              N
+  Flash                XMP:FlashFired           yes
+                       XMP:FlashReturn
+                       XMP:FlashMode
+                       XMP:FlashFunction
+                       XMP:FlashRedEyeMode
+                       XMP:Flash
+  FlashType            FlashBits                no
+  FocalLength35efl     FocalLength              no
                        ScaleFactor35efl
-  GPSAltitude          QuickTime:GPSCoordinates N
-  GPSAltitudeRef       QuickTime:GPSCoordinates N
-  GPSAltitude          GPS:GPSAltitude          N
+  FocusDistance        Sony:FocusPosition       no
+                       FocalLength
+  FocusDistance2       Sony:FocusPosition2      no
+                       FocalLengthIn35mmFormat
+  GPSAltitude          GPS:GPSAltitude          no
                        GPS:GPSAltitudeRef
                        XMP:GPSAltitude
                        XMP:GPSAltitudeRef
-  GPSDateTime          GPS:GPSDateStamp         N
+  GPSAltitude          QuickTime:GPSCoordinates no
+  GPSAltitude          QuickTime:LocationInformation no
+  GPSAltitudeRef       QuickTime:GPSCoordinates no
+  GPSAltitudeRef       QuickTime:LocationInformation no
+  GPSDateTime          GPS:GPSDateStamp         no
                        GPS:GPSTimeStamp
-  GPSLatitude          QuickTime:GPSCoordinates N
-  GPSLatitudeRef       XMP:GPSLatitude          N
-  GPSLatitude          GPS:GPSLatitude          N
+  GPSDateTime          Parrot:GPSLatitude       no
+                       Main:CreateDate
+                       SampleTime
+  GPSDateTime          Sony:GPSDateStamp        no
+                       Sony:GPSTimeStamp
+  GPSDestLatitude      GPS:GPSDestLatitude      no
+                       GPS:GPSDestLatitudeRef
+  GPSDestLatitudeRef   XMP-exif:GPSDestLatitude no
+  GPSDestLongitude     GPS:GPSDestLongitude     no
+                       GPS:GPSDestLongitudeRef
+  GPSDestLongitudeRef  XMP-exif:GPSDestLongitude no
+  GPSLatitude          GPS:GPSLatitude          no
                        GPS:GPSLatitudeRef
-  GPSLongitude         QuickTime:GPSCoordinates N
-  GPSLongitudeRef      XMP:GPSLongitude         N
-  GPSLongitude         GPS:GPSLongitude         N
+  GPSLatitude          QuickTime:GPSCoordinates no
+  GPSLatitude          QuickTime:LocationInformation no
+  GPSLatitudeRef       XMP-exif:GPSLatitude     no
+  GPSLongitude         GPS:GPSLongitude         no
                        GPS:GPSLongitudeRef
-  GPSPosition          GPSLatitude              N
+  GPSLongitude         QuickTime:GPSCoordinates no
+  GPSLongitude         QuickTime:LocationInformation no
+  GPSLongitudeRef      XMP-exif:GPSLongitude    no
+  GPSPosition          GPSLatitude              no
                        GPSLongitude
-  HyperfocalDistance   FocalLength              N
+  HyperfocalDistance   FocalLength              no
                        Aperture
                        CircleOfConfusion
-  IDCPreviewImage      IDCPreviewStart          N
+  IDCPreviewImage      IDCPreviewStart          no
                        IDCPreviewLength
-  ISO                  Canon:CameraISO          N
+  ISO                  Canon:CameraISO          no
                        Canon:BaseISO
                        Canon:AutoISO
-  ImageHeight          Main:PostScript:ImageData N
+  ImageHeight          IFD0:SensorTopBorder     no
+                       IFD0:SensorBottomBorder
+  ImageHeight          Main:PostScript:ImageData no
                        PostScript:BoundingBox
-  ImageSize            ImageWidth               N
+  ImageSize            ImageWidth               no
                        ImageHeight
                        ExifImageWidth
                        ExifImageHeight
-  ImageWidth           Main:PostScript:ImageData N
+                       RawImageCroppedSize
+  ImageWidth           IFD0:SensorLeftBorder    no
+                       IFD0:SensorRightBorder
+  ImageWidth           Main:PostScript:ImageData no
                        PostScript:BoundingBox
-  JpgFromRaw           JpgFromRawStart          Y
+  JpgFromRaw           JpgFromRawStart          yes
                        JpgFromRawLength
-  Lens                 ShortFocal               N
-                       LongFocal
-  Lens35efl            ShortFocal               N
-                       LongFocal
+  Lens                 Canon:MinFocalLength     no
+                       Canon:MaxFocalLength
+  Lens35efl            Canon:MinFocalLength     no
+                       Canon:MaxFocalLength
                        Lens
                        ScaleFactor35efl
-  LensID               LensType                 N
+  LensID               LensType                 no
                        FocalLength
                        MaxAperture
                        MaxApertureValue
-                       ShortFocal
-                       LongFocal
+                       MinFocalLength
+                       MaxFocalLength
                        LensModel
                        LensFocalRange
-  LensID               Nikon:LensIDNumber       N
+                       LensSpec
+                       LensType2
+                       LensType3
+                       LensFocalLength
+                       RFLensType
+  LensID               LensModel                no
+                       Lens
+                       XMP-aux:LensID
+                       Make
+  LensID               Nikon:LensIDNumber       no
                        LensFStops
                        MinFocalLength
@@ -20809,25 +35302,35 @@
                        MCUVersion
                        Nikon:LensType
-  LensID               Ricoh:LensFirmware       N
-  LensSpec             Nikon:Lens               N
+  LensID               Ricoh:LensFirmware       no
+  LensID               XMP-aux:LensID           no
+                       Make
+                       LensInfo
+                       FocalLength
+                       LensModel
+                       MaxApertureValue
+  LensSpec             Nikon:Lens               no
                        Nikon:LensType
-  LightValue           Aperture                 N
+  LensType             LensTypeMake             no
+                       LensTypeModel
+  LightValue           Aperture                 no
                        ShutterSpeed
                        ISO
-  MPImage              MPImageStart             N
+  MPImage              MPImageStart             no
                        MPImageLength
                        MPImageType
-  OriginalDecisionData OriginalDecisionDataOffset Y!
-  OtherImage           OtherImageStart          N
+  Megapixels           ImageSize                no
+  OriginalDecisionData OriginalDecisionDataOffset yes!
+  OtherImage           OtherImageStart          yes
                        OtherImageLength
-  PreviewImage         PreviewImageStart        Y
+  PeakSpectralSensitivity FLIR:PlanckB          no
+  PreviewImage         PreviewImageStart        yes
                        PreviewImageLength
                        PreviewImageValid
                        PreviewImageStart (1)
                        PreviewImageLength (1)
-  PreviewImageSize     PreviewImageWidth        N
+  PreviewImage         ScreenNail               no
+  PreviewImageSize     PreviewImageWidth        no
                        PreviewImageHeight
-  PreviewImage         ScreenNail               N
-  RedBalance           WB_RGGBLevels            N
+  RedBalance           WB_RGGBLevels            no
                        WB_RGBGLevels
                        WB_RBGGLevels
@@ -20836,15 +35339,21 @@
                        WB_GBRGLevels
                        WB_RGBLevels
+                       WB_GRBLevels
                        WB_RBLevels
                        WBRedLevel
                        WBGreenLevel
-  RedEyeReduction      CanonFlashMode           N
+  RedEyeReduction      CanonFlashMode           no
                        FlashBits
-  Rotation             QuickTime:MatrixStructure N
+  RicohPitch           Ricoh:Accelerometer      no
+  RicohRoll            Ricoh:Accelerometer      no
+  Rotation             QuickTime:MatrixStructure yes!
                        QuickTime:HandlerType
-  ScaleFactor35efl     FocalLength              N
+  RunTimeSincePowerUp  Apple:RunTimeValue       no
+                       Apple:RunTimeScale
+  ScaleFactor35efl     FocalLength              no
                        FocalLengthIn35mmFormat
                        Composite:DigitalZoom
                        FocalPlaneDiagonal
+                       SensorSize
                        FocalPlaneXSize
                        FocalPlaneYSize
@@ -20858,21 +35367,41 @@
                        ImageWidth
                        ImageHeight
-  ShootingMode         CanonExposureMode        N
+  ShootingMode         CanonExposureMode        no
                        EasyMode
                        BulbDuration
-  ShutterCurtainHack   FlashBits                N
+  ShutterCurtainHack   FlashBits                no
                        ShutterCurtainSync
-  ShutterSpeed         ExposureTime             N
+  ShutterSpeed         ExposureTime             no
                        ShutterSpeedValue
                        BulbDuration
-  SubSecCreateDate     EXIF:CreateDate          N
+  SingleShotDepthMapTiff SingleShotDepthMap     no
+                       SegWidth
+                       SegHeight
+  SubSecCreateDate     EXIF:CreateDate          yes
                        SubSecTimeDigitized
-  SubSecDateTimeOriginal EXIF:DateTimeOriginal  N
+                       OffsetTimeDigitized
+  SubSecDateTimeOriginal EXIF:DateTimeOriginal  yes
                        SubSecTimeOriginal
-  SubSecModifyDate     EXIF:ModifyDate          N
+                       OffsetTimeOriginal
+  SubSecModifyDate     EXIF:ModifyDate          yes
                        SubSecTime
-  ThumbnailImage       ThumbnailOffset          Y
+                       OffsetTime
+  ThumbnailImage       ThumbnailOffset          yes
                        ThumbnailLength
-  WB_RGBLevels         KDC_IFD:WhiteBalance     N
+  ThumbnailTIFF        SubfileType              no
+                       Compression
+                       ImageWidth
+                       ImageHeight
+                       BitsPerSample
+                       PhotometricInterpretation
+                       StripOffsets
+                       SamplesPerPixel
+                       RowsPerStrip
+                       StripByteCounts
+                       PlanarConfiguration
+                       Orientation
+  VolumeSize           ISO:VolumeBlockCount     no
+                       ISO:VolumeBlockSize
+  WB_RGBLevels         KDC_IFD:WhiteBalance     no
                        WB_RGBLevelsAuto
                        WB_RGBLevelsFluorescent
@@ -20882,5 +35411,5 @@
                        WB_RGBLevels5
                        WB_RGBLevelsShade
-  WB_RGBLevels         KodakIFD:WhiteBalance    N
+  WB_RGBLevels         KodakIFD:WhiteBalance    no
                        WB_RGBMul0
                        WB_RGBMul1
@@ -20893,5 +35422,5 @@
                        KodakIFD:ColorTemperature
                        Kodak:WB_RGBLevels
-  WB_RGGBLevels        Canon:WhiteBalance       N
+  WB_RGGBLevels        Canon:WhiteBalance       no
                        WB_RGGBLevelsAsShot
                        WB_RGGBLevelsAuto
@@ -20904,7 +35433,7 @@
                        WB_RGGBLevelsShade
                        WB_RGGBLevelsKelvin
-  WB_RGGBLevels        WB_RGGBLevelsUncorrected N
+  WB_RGGBLevels        WB_RGGBLevelsUncorrected no
                        WB_RGGBLevelsBlack
-  ZoomedPreviewImage   ZoomedPreviewStart       N
+  ZoomedPreviewImage   ZoomedPreviewStart       no
                        ZoomedPreviewLength
 
@@ -20922,8 +35451,8 @@
   Tag Name             Refers To                Writable
   --------             ---------                --------
-  AllDates             DateTimeOriginal         Y
+  AllDates             DateTimeOriginal         yes
                        CreateDate
                        ModifyDate
-  Canon                FileName                 Y
+  Canon                FileName                 yes
                        Model
                        DateTimeOriginal
@@ -20956,5 +35485,9 @@
                        OwnerName
                        SerialNumber
-  Common               FileName                 Y
+  ColorSpaceTags       ExifIFD:ColorSpace       yes
+                       ExifIFD:Gamma
+                       InteropIFD:InteropIndex
+                       ICC_Profile
+  Common               FileName                 yes
                        FileSize
                        Model
@@ -20968,5 +35501,5 @@
                        WhiteBalance
                        Flash
-  CommonIFD0           IFD0:ImageDescription    Y
+  CommonIFD0           IFD0:ImageDescription    yes
                        IFD0:Make
                        IFD0:Model
@@ -20985,11 +35518,31 @@
                        IFD0:XPKeywords
                        IFD0:XPSubject
-  MakerNotes           MakerNotes               Y
+  LargeTags            CanonVRD                 yes
+                       DLOData
+                       EXIF
+                       ICC_Profile
+                       IDCPreviewImage
+                       ImageData
+                       IPTC
+                       JpgFromRaw
+                       OriginalRawImage
+                       OtherImage
+                       PreviewImage
+                       ThumbnailImage
+                       TIFFPreview
+                       XML
+                       XMP
+                       ZoomedPreviewImage
+  MakerNotes           MakerNotes               yes
+                       MakerNoteApple
                        MakerNoteCanon
                        MakerNoteCasio
                        MakerNoteCasio2
+                       MakerNoteDJI
+                       MakerNoteFLIR
                        MakerNoteFujiFilm
                        MakerNoteGE
                        MakerNoteGE2
+                       MakerNoteHasselblad
                        MakerNoteHP
                        MakerNoteHP2
@@ -21010,6 +35563,9 @@
                        MakerNoteKodak8a
                        MakerNoteKodak8b
+                       MakerNoteKodak8c
                        MakerNoteKodak9
                        MakerNoteKodak10
+                       MakerNoteKodak11
+                       MakerNoteKodak12
                        MakerNoteKodakUnknown
                        MakerNoteKyocera
@@ -21017,7 +35573,9 @@
                        MakerNoteMinolta2
                        MakerNoteMinolta3
+                       MakerNoteMotorola
                        MakerNoteNikon
                        MakerNoteNikon2
                        MakerNoteNikon3
+                       MakerNoteNintendo
                        MakerNoteOlympus
                        MakerNoteOlympus2
@@ -21028,6 +35586,11 @@
                        MakerNoteLeica5
                        MakerNoteLeica6
+                       MakerNoteLeica7
+                       MakerNoteLeica8
+                       MakerNoteLeica9
+                       MakerNoteLeica10
                        MakerNotePanasonic
                        MakerNotePanasonic2
+                       MakerNotePanasonic3
                        MakerNotePentax
                        MakerNotePentax2
@@ -21035,7 +35598,12 @@
                        MakerNotePentax4
                        MakerNotePentax5
+                       MakerNotePentax6
                        MakerNotePhaseOne
                        MakerNoteReconyx
+                       MakerNoteReconyx2
+                       MakerNoteReconyx3
                        MakerNoteRicoh
+                       MakerNoteRicoh2
+                       MakerNoteRicohPentax
                        MakerNoteRicohText
                        MakerNoteSamsung1a
@@ -21050,9 +35618,11 @@
                        MakerNoteSony3
                        MakerNoteSony4
+                       MakerNoteSony5
                        MakerNoteSonyEricsson
                        MakerNoteSonySRF
                        MakerNoteUnknownText
+                       MakerNoteUnknownBinary
                        MakerNoteUnknown
-  Nikon                Model                    Y
+  Nikon                Model                    yes
                        SubSecDateTimeOriginal
                        ShutterCount
@@ -21082,5 +35652,5 @@
                        FlashMode
                        FlashExposureComp
-  Unsafe               IFD0:YCbCrPositioning    Y
+  Unsafe               IFD0:YCbCrPositioning    yes
                        IFD0:YCbCrCoefficients
                        IFD0:TransferFunction
@@ -21091,22 +35661,30 @@
                        InteropIFD:RelatedImageWidth
                        InteropIFD:RelatedImageHeight
+  ls-l                 FilePermissions          yes
+                       FileHardLinks
+                       FileUserID
+                       FileGroupID
+                       FileSize#
+                       FileModifyDate
+                       FileName
 
 =head2 MWG Tags
 
+The Metadata Working Group (MWG) recommends techniques to allow certain
+overlapping EXIF, IPTC and XMP tags to be reconciled when reading, and
+synchronized when writing.  The MWG Composite tags below are designed to aid
+in the implementation of these recommendations.  As well, the MWG defines
+new XMP tags which are listed in the subsequent tables below.  See
+L<https://web.archive.org/web/20181006115950/http://www.metadataworkinggroup.org/specs/>
+for the official MWG specification.
+
 =head3 MWG Composite Tags
-
-The Metadata Working Group (MWG) recommendations provide a set of rules to
-allow certain overlapping EXIF, IPTC and XMP tags to be reconciled when
-reading, and synchronized when writing.  The ExifTool MWG module is designed
-to aid in the implementation of these recommendations.  (See
-L<http://www.metadataworkinggroup.org/> for the complete MWG technical
-specifications.)
 
 The table below lists special Composite tags which are used to access other
 tags based on the MWG 2.0 recommendations.  These tags are only accessible
-when the MWG module is loaded.  The MWG module is loaded automatically by
-the exiftool application if MWG is specified as a group for any tag on the
-command line, or manually with the C<-use MWG> option.  Via the API, the MWG
-module is loaded with "C<use Image::ExifTool::MWG>".
+when explicitly loaded, but this is done automatically by the exiftool
+application if MWG is specified as a group for any tag on the command line,
+or manually with the C<-use MWG> option.  Via the API, the MWG Composite
+tags are loaded by calling "C<Image::ExifTool::MWG::Load()>".
 
 When reading, the value of each MWG tag is B<Derived From> the specified
@@ -21128,5 +35706,11 @@
 EXIF/IPTC/XMP records that exist.
 
-A complication of the specification is that although the MWG:Creator
+Contrary to the EXIF specification, the MWG recommends that EXIF "ASCII"
+string values be stored as UTF-8.  To honour this, the exiftool application
+sets the default internal EXIF string encoding to "UTF8" when the MWG module
+is loaded, but via the API this must be done manually by setting the
+CharsetEXIF option.
+
+A complication of the MWG specification is that although the MWG:Creator
 property may consist of multiple values, the associated EXIF tag
 (EXIF:Artist) is only a simple string.  To resolve this discrepancy the MWG
@@ -21138,19 +35722,21 @@
   Tag Name             Derived From             Writable
   --------             ------------             --------
-  City                 IPTC:City                Y
+  City                 IPTC:City                yes
                        XMP-photoshop:City
+                       XMP-iptcExt:LocationShownCity
                        CurrentIPTCDigest
                        IPTCDigest
-  Copyright            EXIF:Copyright           Y
+  Copyright            EXIF:Copyright           yes
                        IPTC:CopyrightNotice
                        XMP-dc:Rights
                        CurrentIPTCDigest
                        IPTCDigest
-  Country              IPTC:Country-PrimaryLocationName Y
+  Country              IPTC:Country-PrimaryLocationName yes
                        XMP-photoshop:Country
+                       XMP-iptcExt:LocationShownCountryName
                        CurrentIPTCDigest
                        IPTCDigest
-  CreateDate           EXIF:CreateDate          Y
-                       EXIF:SubSecTimeDigitized
+  CreateDate           Composite:SubSecCreateDate yes
+                       EXIF:CreateDate
                        IPTC:DigitalCreationDate
                        IPTC:DigitalCreationTime
@@ -21158,11 +35744,11 @@
                        CurrentIPTCDigest
                        IPTCDigest
-  Creator              EXIF:Artist              Y+
+  Creator              EXIF:Artist              yes+
                        IPTC:By-line
                        XMP-dc:Creator
                        CurrentIPTCDigest
                        IPTCDigest
-  DateTimeOriginal     EXIF:DateTimeOriginal    Y
-                       EXIF:SubSecTimeOriginal
+  DateTimeOriginal     Composite:SubSecDateTimeOriginal yes
+                       EXIF:DateTimeOriginal
                        IPTC:DateCreated
                        IPTC:TimeCreated
@@ -21170,29 +35756,167 @@
                        CurrentIPTCDigest
                        IPTCDigest
-  Description          EXIF:ImageDescription    Y
+  Description          EXIF:ImageDescription    yes
                        IPTC:Caption-Abstract
                        XMP-dc:Description
                        CurrentIPTCDigest
                        IPTCDigest
-  Keywords             IPTC:Keywords            Y+
+  Keywords             IPTC:Keywords            yes+
                        XMP-dc:Subject
                        CurrentIPTCDigest
                        IPTCDigest
-  Location             IPTC:Sub-location        Y
+  Location             IPTC:Sub-location        yes
                        XMP-iptcCore:Location
+                       XMP-iptcExt:LocationShownSublocation
                        CurrentIPTCDigest
                        IPTCDigest
-  ModifyDate           EXIF:ModifyDate          Y
-                       EXIF:SubSecTime
+  ModifyDate           Composite:SubSecModifyDate yes
+                       EXIF:ModifyDate
                        XMP-xmp:ModifyDate
                        CurrentIPTCDigest
                        IPTCDigest
-  Orientation          EXIF:Orientation         Y
-  Rating               XMP-xmp:Rating           Y
-  State                IPTC:Province-State      Y
+  Orientation          EXIF:Orientation         yes
+  Rating               XMP-xmp:Rating           yes
+  State                IPTC:Province-State      yes
                        XMP-photoshop:State
+                       XMP-iptcExt:LocationShownProvinceState
                        CurrentIPTCDigest
                        IPTCDigest
 
+=head3 MWG Regions Tags
+
+Image region metadata defined by the MWG 2.0 specification.  These tags
+may be accessed without the need to load the MWG Composite tags above.  See
+L<https://web.archive.org/web/20181006115950/http://www.metadataworkinggroup.org/specs/>
+for the official specification.
+
+These tags belong to the ExifTool XMP-mwg-rs family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  RegionInfo                                    MWG RegionInfo Struct
+  RegionAppliedToDimensions                     Dimensions Struct_
+  RegionAppliedToDimensionsH                    real_
+  RegionAppliedToDimensionsUnit                 string_
+  RegionAppliedToDimensionsW                    real_
+  RegionList                                    MWG RegionStruct Struct_+
+  RegionArea                                    Area Struct_+
+  RegionAreaD                                   real_+
+  RegionAreaH                                   real_+
+  RegionAreaUnit                                string_+
+  RegionAreaW                                   real_+
+  RegionAreaX                                   real_+
+  RegionAreaY                                   real_+
+  RegionBarCodeValue                            string_+
+  RegionDescription                             string_+
+  RegionExtensions                              MWG Extensions Struct_+
+  RegionFocusUsage                              string_+
+  RegionName                                    string_+
+  RegionRotation                                real_+
+  RegionSeeAlso                                 string_+
+  RegionType                                    string_+
+
+=head3 MWG RegionInfo Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  AppliedToDimensions                           Dimensions Struct
+  RegionList                                    MWG RegionStruct Struct+
+
+=head3 MWG RegionStruct Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Area                                          Area Struct
+  BarCodeValue                                  string
+  Description                                   string
+  Extensions                                    MWG Extensions Struct
+  FocusUsage                                    string
+  Name                                          string
+  Rotation                                      real
+  Type                                          string
+  SeeAlso                                       string
+
+=head3 MWG Extensions Struct
+
+This structure may contain any top-level XMP tags, but none have been
+pre-defined in ExifTool.  Since no flattened tags have been pre-defined,
+RegionExtensions is writable only as a structure (eg.
+C<{xmp-dc:creator=me,rating=5}>).  Fields for this structure are identified
+using the standard ExifTool tag name (with optional leading group name,
+and/or trailing language code, and/or trailing C<#> symbol to disable print
+conversion).
+
+  Field Name                                    Writable
+  ----------                                    --------
+  [no tags known]
+
+=head3 MWG Keywords Tags
+
+Hierarchical keywords metadata defined by the MWG 2.0 specification.
+ExifTool unrolls keyword structures to an arbitrary depth of 6 to allow
+individual levels to be accessed with different tag names, and to avoid
+infinite recursion.  See
+L<https://web.archive.org/web/20181006115950/http://www.metadataworkinggroup.org/specs/>
+for the official specification.
+
+These tags belong to the ExifTool XMP-mwg-kw family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  KeywordInfo                                   MWG KeywordInfo Struct
+  HierarchicalKeywords                          MWG KeywordStruct Struct_+
+  HierarchicalKeywords1Applied                  boolean_+
+  HierarchicalKeywords1Children                 MWG KeywordStruct Struct_+
+  HierarchicalKeywords2Applied                  boolean_+
+  HierarchicalKeywords2Children                 MWG KeywordStruct Struct_+
+  HierarchicalKeywords3Applied                  boolean_+
+  HierarchicalKeywords3Children                 MWG KeywordStruct Struct_+
+  HierarchicalKeywords4Applied                  boolean_+
+  HierarchicalKeywords4Children                 MWG KeywordStruct Struct_+
+  HierarchicalKeywords5Applied                  boolean_+
+  HierarchicalKeywords5Children                 MWG KeywordStruct Struct_+
+  HierarchicalKeywords6Applied                  boolean_+
+  HierarchicalKeywords6                         string_+
+  HierarchicalKeywords5                         string_+
+  HierarchicalKeywords4                         string_+
+  HierarchicalKeywords3                         string_+
+  HierarchicalKeywords2                         string_+
+  HierarchicalKeywords1                         string_+
+
+=head3 MWG KeywordInfo Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Hierarchy                                     MWG KeywordStruct Struct+
+
+=head3 MWG KeywordStruct Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  Applied                                       boolean
+  Children                                      MWG KeywordStruct Struct+
+  Keyword                                       string
+
+=head3 MWG Collections Tags
+
+Collections metadata defined by the MWG 2.0 specification.  See
+L<https://web.archive.org/web/20181006115950/http://www.metadataworkinggroup.org/specs/>
+for the official specification.
+
+These tags belong to the ExifTool XMP-mwg-coll family 1 group.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  Collections                                   MWG CollectionInfo Struct+
+  CollectionName                                string_+
+  CollectionURI                                 string_+
+
+=head3 MWG CollectionInfo Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  CollectionName                                string
+  CollectionURI                                 string
+
 =head1 NOTES
 
@@ -21202,5 +35926,5 @@
 =head1 AUTHOR
 
-Copyright 2003-2011, Phil Harvey (phil at owl.phy.queensu.ca)
+Copyright 2003-2021, Phil Harvey (philharvey66 at gmail.com)
 
 This library is free software; you can redistribute it and/or modify it
